Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 6010)
@@ -0,0 +1,224 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Analysis.Views {
+  partial class DataRowVisualPropertiesControl {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.chartTypeComboBox = new System.Windows.Forms.ComboBox();
+      this.secondYAxisCheckBox = new System.Windows.Forms.CheckBox();
+      this.colorDialog = new System.Windows.Forms.ColorDialog();
+      this.colorButton = new System.Windows.Forms.Button();
+      this.startIndexZeroCheckBox = new System.Windows.Forms.CheckBox();
+      this.exactBinsCheckBox = new System.Windows.Forms.CheckBox();
+      this.binsNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.label1 = new System.Windows.Forms.Label();
+      this.label2 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.commonGroupBox = new System.Windows.Forms.GroupBox();
+      this.histoGramGroupBox = new System.Windows.Forms.GroupBox();
+      ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).BeginInit();
+      this.commonGroupBox.SuspendLayout();
+      this.histoGramGroupBox.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // chartTypeComboBox
+      // 
+      this.chartTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.chartTypeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.chartTypeComboBox.FormattingEnabled = true;
+      this.chartTypeComboBox.Location = new System.Drawing.Point(90, 19);
+      this.chartTypeComboBox.Name = "chartTypeComboBox";
+      this.chartTypeComboBox.Size = new System.Drawing.Size(377, 21);
+      this.chartTypeComboBox.TabIndex = 0;
+      this.chartTypeComboBox.SelectedValueChanged += new System.EventHandler(this.chartTypeComboBox_SelectedValueChanged);
+      // 
+      // secondYAxisCheckBox
+      // 
+      this.secondYAxisCheckBox.AutoSize = true;
+      this.secondYAxisCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
+      this.secondYAxisCheckBox.Location = new System.Drawing.Point(8, 75);
+      this.secondYAxisCheckBox.Name = "secondYAxisCheckBox";
+      this.secondYAxisCheckBox.Size = new System.Drawing.Size(98, 17);
+      this.secondYAxisCheckBox.TabIndex = 1;
+      this.secondYAxisCheckBox.Text = "Second Y Axis:";
+      this.secondYAxisCheckBox.UseVisualStyleBackColor = true;
+      this.secondYAxisCheckBox.CheckedChanged += new System.EventHandler(this.secondYAxisCheckBox_CheckedChanged);
+      // 
+      // colorDialog
+      // 
+      this.colorDialog.Color = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+      // 
+      // colorButton
+      // 
+      this.colorButton.BackColor = System.Drawing.SystemColors.Control;
+      this.colorButton.Location = new System.Drawing.Point(90, 46);
+      this.colorButton.Name = "colorButton";
+      this.colorButton.Size = new System.Drawing.Size(23, 23);
+      this.colorButton.TabIndex = 2;
+      this.colorButton.UseVisualStyleBackColor = false;
+      this.colorButton.Click += new System.EventHandler(this.colorButton_Click);
+      // 
+      // startIndexZeroCheckBox
+      // 
+      this.startIndexZeroCheckBox.AutoSize = true;
+      this.startIndexZeroCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
+      this.startIndexZeroCheckBox.Location = new System.Drawing.Point(17, 98);
+      this.startIndexZeroCheckBox.Name = "startIndexZeroCheckBox";
+      this.startIndexZeroCheckBox.Size = new System.Drawing.Size(89, 17);
+      this.startIndexZeroCheckBox.TabIndex = 3;
+      this.startIndexZeroCheckBox.Text = "Start Index 0:";
+      this.startIndexZeroCheckBox.UseVisualStyleBackColor = true;
+      this.startIndexZeroCheckBox.CheckedChanged += new System.EventHandler(this.startIndexZeroCheckBox_CheckedChanged);
+      // 
+      // exactBinsCheckBox
+      // 
+      this.exactBinsCheckBox.AutoSize = true;
+      this.exactBinsCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
+      this.exactBinsCheckBox.Location = new System.Drawing.Point(155, 20);
+      this.exactBinsCheckBox.Name = "exactBinsCheckBox";
+      this.exactBinsCheckBox.Size = new System.Drawing.Size(56, 17);
+      this.exactBinsCheckBox.TabIndex = 4;
+      this.exactBinsCheckBox.Text = "Exact:";
+      this.exactBinsCheckBox.UseVisualStyleBackColor = true;
+      this.exactBinsCheckBox.CheckedChanged += new System.EventHandler(this.exactBinsCheckBox_CheckedChanged);
+      // 
+      // binsNumericUpDown
+      // 
+      this.binsNumericUpDown.Location = new System.Drawing.Point(48, 19);
+      this.binsNumericUpDown.Name = "binsNumericUpDown";
+      this.binsNumericUpDown.Size = new System.Drawing.Size(101, 20);
+      this.binsNumericUpDown.TabIndex = 5;
+      this.binsNumericUpDown.ValueChanged += new System.EventHandler(this.binsNumericUpDown_ValueChanged);
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(22, 22);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(62, 13);
+      this.label1.TabIndex = 6;
+      this.label1.Text = "Chart Type:";
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(50, 51);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(34, 13);
+      this.label2.TabIndex = 6;
+      this.label2.Text = "Color:";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(8, 21);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(30, 13);
+      this.label3.TabIndex = 6;
+      this.label3.Text = "Bins:";
+      // 
+      // commonGroupBox
+      // 
+      this.commonGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.commonGroupBox.Controls.Add(this.colorButton);
+      this.commonGroupBox.Controls.Add(this.secondYAxisCheckBox);
+      this.commonGroupBox.Controls.Add(this.label1);
+      this.commonGroupBox.Controls.Add(this.label2);
+      this.commonGroupBox.Controls.Add(this.chartTypeComboBox);
+      this.commonGroupBox.Controls.Add(this.startIndexZeroCheckBox);
+      this.commonGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.commonGroupBox.Name = "commonGroupBox";
+      this.commonGroupBox.Size = new System.Drawing.Size(473, 122);
+      this.commonGroupBox.TabIndex = 7;
+      this.commonGroupBox.TabStop = false;
+      this.commonGroupBox.Text = "Common";
+      // 
+      // histoGramGroupBox
+      // 
+      this.histoGramGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.histoGramGroupBox.Controls.Add(this.binsNumericUpDown);
+      this.histoGramGroupBox.Controls.Add(this.exactBinsCheckBox);
+      this.histoGramGroupBox.Controls.Add(this.label3);
+      this.histoGramGroupBox.Location = new System.Drawing.Point(3, 131);
+      this.histoGramGroupBox.Name = "histoGramGroupBox";
+      this.histoGramGroupBox.Size = new System.Drawing.Size(473, 49);
+      this.histoGramGroupBox.TabIndex = 7;
+      this.histoGramGroupBox.TabStop = false;
+      this.histoGramGroupBox.Text = "Histogram";
+      // 
+      // DataRowVisualPropertiesControl
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.histoGramGroupBox);
+      this.Controls.Add(this.commonGroupBox);
+      this.Name = "DataRowVisualPropertiesControl";
+      this.Size = new System.Drawing.Size(479, 185);
+      ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).EndInit();
+      this.commonGroupBox.ResumeLayout(false);
+      this.commonGroupBox.PerformLayout();
+      this.histoGramGroupBox.ResumeLayout(false);
+      this.histoGramGroupBox.PerformLayout();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.ComboBox chartTypeComboBox;
+    private System.Windows.Forms.CheckBox secondYAxisCheckBox;
+    private System.Windows.Forms.ColorDialog colorDialog;
+    private System.Windows.Forms.Button colorButton;
+    private System.Windows.Forms.CheckBox startIndexZeroCheckBox;
+    private System.Windows.Forms.CheckBox exactBinsCheckBox;
+    private System.Windows.Forms.NumericUpDown binsNumericUpDown;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Label label3;
+    private System.Windows.Forms.GroupBox commonGroupBox;
+    private System.Windows.Forms.GroupBox histoGramGroupBox;
+  }
+}
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.cs	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.cs	(revision 6010)
@@ -0,0 +1,115 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Drawing;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Analysis.Views {
+  [View("DataRow Visual Properties")]
+  public partial class DataRowVisualPropertiesControl : UserControl {
+    protected bool SuppressEvents { get; set; }
+
+    private DataRowVisualProperties content;
+    public DataRowVisualProperties Content {
+      get { return content; }
+      set {
+        bool changed = (value != content);
+        content = value;
+        if (changed) OnContentChanged();
+      }
+    }
+
+    public DataRowVisualPropertiesControl() {
+      InitializeComponent();
+      chartTypeComboBox.DataSource = Enum.GetValues(typeof(DataRowVisualProperties.DataRowChartType));
+    }
+
+    protected virtual void OnContentChanged() {
+      SuppressEvents = true;
+      try {
+        if (Content == null) {
+          chartTypeComboBox.SelectedIndex = -1;
+          colorButton.BackColor = SystemColors.Control;
+          secondYAxisCheckBox.Checked = false;
+          startIndexZeroCheckBox.Checked = false;
+          binsNumericUpDown.Value = 1;
+          exactBinsCheckBox.Checked = false;
+        } else {
+          chartTypeComboBox.SelectedItem = Content.ChartType;
+          colorButton.BackColor = Content.Color;
+          secondYAxisCheckBox.Checked = Content.SecondYAxis;
+          startIndexZeroCheckBox.Checked = Content.StartIndexZero;
+          binsNumericUpDown.Value = Content.Bins;
+          exactBinsCheckBox.Checked = Content.ExactBins;
+        }
+      } finally { SuppressEvents = false; }
+      SetEnabledStateOfControls();
+    }
+
+    protected virtual void SetEnabledStateOfControls() {
+      commonGroupBox.Enabled = Content != null;
+      histoGramGroupBox.Enabled = Content != null && Content.ChartType == DataRowVisualProperties.DataRowChartType.Histogram;
+    }
+
+    #region Event Handlers
+    private void chartTypeComboBox_SelectedValueChanged(object sender, EventArgs e) {
+      if (!SuppressEvents && Content != null) {
+        Content.ChartType = (DataRowVisualProperties.DataRowChartType)chartTypeComboBox.SelectedValue;
+        SetEnabledStateOfControls();
+      }
+    }
+
+    private void colorButton_Click(object sender, EventArgs e) {
+      if (colorDialog.ShowDialog() == DialogResult.OK) {
+        Content.Color = colorDialog.Color;
+        colorButton.BackColor = Content.Color;
+      }
+    }
+
+    private void secondYAxisCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents && Content != null) {
+        Content.SecondYAxis = secondYAxisCheckBox.Checked;
+      }
+    }
+
+    private void startIndexZeroCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents && Content != null) {
+        Content.StartIndexZero = startIndexZeroCheckBox.Checked;
+      }
+    }
+
+    private void binsNumericUpDown_ValueChanged(object sender, EventArgs e) {
+      if (!SuppressEvents && Content != null) {
+        Content.Bins = (int)binsNumericUpDown.Value;
+      }
+    }
+
+    private void exactBinsCheckBox_CheckedChanged(object sender, EventArgs e) {
+      if (!SuppressEvents && Content != null) {
+        Content.ExactBins = exactBinsCheckBox.Checked;
+      }
+    }
+    #endregion
+  }
+}
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.resx
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.resx	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.resx	(revision 6010)
@@ -0,0 +1,123 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="colorDialog.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+</root>
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 6007)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 6010)
@@ -89,4 +89,5 @@
       series1.Name = "Default";
       this.chart.Series.Add(series1);
+      this.chart.ShowPropertiesContextMenuItem = true;
       this.chart.Size = new System.Drawing.Size(359, 248);
       this.chart.TabIndex = 3;
@@ -96,4 +97,5 @@
       title1.Text = "Title";
       this.chart.Titles.Add(title1);
+      this.chart.PropertiesClicked += new System.EventHandler(this.chart_PropertiesClicked);
       this.chart.CustomizeLegend += new System.EventHandler<System.Windows.Forms.DataVisualization.Charting.CustomizeLegendEventArgs>(this.chart_CustomizeLegend);
       this.chart.MouseDown += new System.Windows.Forms.MouseEventHandler(this.chart_MouseDown);
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 6007)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 6010)
@@ -133,4 +133,8 @@
           series.ChartType = SeriesChartType.FastPoint;
           break;
+        case DataRowVisualProperties.DataRowChartType.Histogram:
+          series.ChartType = SeriesChartType.Column;
+          series["PointWidth"] = "1";
+          break;
         default:
           series.ChartType = SeriesChartType.FastPoint;
@@ -283,4 +287,6 @@
       else {
         DataRow row = (DataRow)sender;
+        if (chart.Series[row.Name].IsCustomPropertySet("PointWidth"))
+          chart.Series[row.Name].DeleteCustomProperty("PointWidth");
         switch (row.VisualProperties.ChartType) {
           case DataRowVisualProperties.DataRowChartType.Line:
@@ -296,4 +302,8 @@
             chart.Series[row.Name].ChartType = SeriesChartType.FastPoint;
             break;
+          case DataRowVisualProperties.DataRowChartType.Histogram:
+            chart.Series[row.Name].ChartType = SeriesChartType.Column;
+            chart.Series[row.Name]["PointWidth"] = "1";
+            break;
           default:
             chart.Series[row.Name].ChartType = SeriesChartType.FastPoint;
@@ -354,10 +364,15 @@
           Series rowSeries = chart.Series[row.Name];
           if (!invisibleSeries.Contains(rowSeries)) {
-            foreach (IndexedItem<double> item in e.Items) {
-              if (IsInvalidValue(item.Value))
-                rowSeries.Points[item.Index].IsEmpty = true;
-              else {
-                rowSeries.Points[item.Index].YValues = new double[] { item.Value };
-                rowSeries.Points[item.Index].IsEmpty = false;
+            if (row.VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Histogram) {
+              rowSeries.Points.Clear();
+              FillSeriesWithRowValues(rowSeries, row);
+            } else {
+              foreach (IndexedItem<double> item in e.Items) {
+                if (IsInvalidValue(item.Value))
+                  rowSeries.Points[item.Index].IsEmpty = true;
+                else {
+                  rowSeries.Points[item.Index].YValues = new double[] { item.Value };
+                  rowSeries.Points[item.Index].IsEmpty = false;
+                }
               }
             }
@@ -429,14 +444,54 @@
 
     private void FillSeriesWithRowValues(Series series, DataRow row) {
-      for (int i = 0; i < row.Values.Count; i++) {
-        var value = row.Values[i];
-        DataPoint point = new DataPoint();
-        point.XValue = row.VisualProperties.StartIndexZero ? i : i + 1;
-        if (IsInvalidValue(value))
-          point.IsEmpty = true;
-        else
-          point.YValues = new double[] { value };
-        series.Points.Add(point);
-      }
+      if (row.VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Histogram) {
+        series.Points.Clear();
+        if (!row.Values.Any()) return;
+        int bins = row.VisualProperties.Bins;
+
+        double minValue = row.Values.Min();
+        double maxValue = row.Values.Max();
+        double intervalWidth = (maxValue - minValue) / bins;
+        if (intervalWidth <= 0) return;
+
+        if (!row.VisualProperties.ExactBins) {
+          intervalWidth = HumanRoundRange(intervalWidth);
+          minValue = Math.Floor(minValue / intervalWidth) * intervalWidth;
+          maxValue = Math.Ceiling(maxValue / intervalWidth) * intervalWidth;
+        }
+
+        double current = minValue, intervalCenter = intervalWidth / 2.0;
+        int frequency = 0;
+        foreach (double v in row.Values.Where(x => !IsInvalidValue(x)).OrderBy(x => x)) {
+          while (v > current + intervalWidth) {
+            series.Points.AddXY(current + intervalCenter, frequency);
+            current += intervalWidth;
+            frequency = 0;
+          }
+          frequency++;
+        }
+        series.Points.AddXY(current + intervalCenter, frequency);
+      } else {
+        for (int i = 0; i < row.Values.Count; i++) {
+          var value = row.Values[i];
+          DataPoint point = new DataPoint();
+          point.XValue = row.VisualProperties.StartIndexZero ? i : i + 1;
+          if (IsInvalidValue(value))
+            point.IsEmpty = true;
+          else
+            point.YValues = new double[] { value };
+          series.Points.Add(point);
+        }
+      }
+    }
+
+    private double HumanRoundRange(double range) {
+      double base10 = Math.Pow(10.0, Math.Floor(Math.Log10(range)));
+      double rounding = range / base10;
+      if (rounding <= 1.5) rounding = 1;
+      else if (rounding <= 2.25) rounding = 2;
+      else if (rounding <= 3.75) rounding = 2.5;
+      else if (rounding <= 7.5) rounding = 5;
+      else rounding = 10;
+      return rounding * base10;
     }
 
@@ -459,4 +514,9 @@
       }
     }
+
+    private void chart_PropertiesClicked(object sender, EventArgs e) {
+      DataTableVisualPropertiesDialog dialog = new DataTableVisualPropertiesDialog(Content);
+      dialog.ShowDialog();
+    }
     #endregion
 
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.resx
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.resx	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableView.resx	(revision 6010)
@@ -0,0 +1,126 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="errorProvider.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>107, 17</value>
+  </metadata>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+</root>
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.Designer.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.Designer.cs	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.Designer.cs	(revision 6010)
@@ -0,0 +1,197 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Analysis.Views {
+  partial class DataTableVisualPropertiesDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.okButton = new System.Windows.Forms.Button();
+      this.cancelButton = new System.Windows.Forms.Button();
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.seriesTabPage = new System.Windows.Forms.TabPage();
+      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.seriesListView = new System.Windows.Forms.ListView();
+      this.chartTabPage = new System.Windows.Forms.TabPage();
+      this.dataRowVisualPropertiesControl = new HeuristicLab.Analysis.Views.DataRowVisualPropertiesControl();
+      this.tabControl.SuspendLayout();
+      this.seriesTabPage.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // okButton
+      // 
+      this.okButton.Anchor = System.Windows.Forms.AnchorStyles.Bottom;
+      this.okButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.okButton.Location = new System.Drawing.Point(230, 259);
+      this.okButton.Name = "okButton";
+      this.okButton.Size = new System.Drawing.Size(75, 23);
+      this.okButton.TabIndex = 0;
+      this.okButton.Text = "Ok";
+      this.okButton.UseVisualStyleBackColor = true;
+      this.okButton.Click += new System.EventHandler(this.okButton_Click);
+      // 
+      // cancelButton
+      // 
+      this.cancelButton.Anchor = System.Windows.Forms.AnchorStyles.Bottom;
+      this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
+      this.cancelButton.Location = new System.Drawing.Point(311, 259);
+      this.cancelButton.Name = "cancelButton";
+      this.cancelButton.Size = new System.Drawing.Size(75, 23);
+      this.cancelButton.TabIndex = 1;
+      this.cancelButton.Text = "Cancel";
+      this.cancelButton.UseVisualStyleBackColor = true;
+      this.cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.seriesTabPage);
+      this.tabControl.Controls.Add(this.chartTabPage);
+      this.tabControl.Location = new System.Drawing.Point(0, 0);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(630, 252);
+      this.tabControl.TabIndex = 2;
+      // 
+      // seriesTabPage
+      // 
+      this.seriesTabPage.Controls.Add(this.splitContainer);
+      this.seriesTabPage.Location = new System.Drawing.Point(4, 22);
+      this.seriesTabPage.Name = "seriesTabPage";
+      this.seriesTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.seriesTabPage.Size = new System.Drawing.Size(622, 226);
+      this.seriesTabPage.TabIndex = 0;
+      this.seriesTabPage.Text = "Series";
+      this.seriesTabPage.UseVisualStyleBackColor = true;
+      // 
+      // splitContainer
+      // 
+      this.splitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
+      this.splitContainer.Location = new System.Drawing.Point(3, 3);
+      this.splitContainer.Name = "splitContainer";
+      // 
+      // splitContainer.Panel1
+      // 
+      this.splitContainer.Panel1.Controls.Add(this.seriesListView);
+      this.splitContainer.Panel1MinSize = 20;
+      // 
+      // splitContainer.Panel2
+      // 
+      this.splitContainer.Panel2.Controls.Add(this.dataRowVisualPropertiesControl);
+      this.splitContainer.Panel2MinSize = 50;
+      this.splitContainer.Size = new System.Drawing.Size(616, 220);
+      this.splitContainer.SplitterDistance = 125;
+      this.splitContainer.TabIndex = 0;
+      // 
+      // seriesListView
+      // 
+      this.seriesListView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.seriesListView.HideSelection = false;
+      this.seriesListView.Location = new System.Drawing.Point(0, 0);
+      this.seriesListView.MultiSelect = false;
+      this.seriesListView.Name = "seriesListView";
+      this.seriesListView.ShowGroups = false;
+      this.seriesListView.Size = new System.Drawing.Size(125, 220);
+      this.seriesListView.TabIndex = 0;
+      this.seriesListView.UseCompatibleStateImageBehavior = false;
+      this.seriesListView.View = System.Windows.Forms.View.SmallIcon;
+      this.seriesListView.SelectedIndexChanged += new System.EventHandler(this.seriesListView_SelectedIndexChanged);
+      // 
+      // chartTabPage
+      // 
+      this.chartTabPage.Location = new System.Drawing.Point(4, 22);
+      this.chartTabPage.Name = "chartTabPage";
+      this.chartTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.chartTabPage.Size = new System.Drawing.Size(622, 226);
+      this.chartTabPage.TabIndex = 1;
+      this.chartTabPage.Text = "Chart";
+      this.chartTabPage.UseVisualStyleBackColor = true;
+      // 
+      // dataRowVisualPropertiesControl
+      // 
+      this.dataRowVisualPropertiesControl.Content = null;
+      this.dataRowVisualPropertiesControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.dataRowVisualPropertiesControl.Location = new System.Drawing.Point(0, 0);
+      this.dataRowVisualPropertiesControl.Name = "dataRowVisualPropertiesControl";
+      this.dataRowVisualPropertiesControl.Size = new System.Drawing.Size(487, 220);
+      this.dataRowVisualPropertiesControl.TabIndex = 0;
+      // 
+      // DataTableVisualPropertiesDialog
+      // 
+      this.AcceptButton = this.okButton;
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.CancelButton = this.cancelButton;
+      this.ClientSize = new System.Drawing.Size(631, 294);
+      this.Controls.Add(this.tabControl);
+      this.Controls.Add(this.cancelButton);
+      this.Controls.Add(this.okButton);
+      this.Name = "DataTableVisualPropertiesDialog";
+      this.Text = "DataTableVisualPropertiesDialog";
+      this.tabControl.ResumeLayout(false);
+      this.seriesTabPage.ResumeLayout(false);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
+      this.splitContainer.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button okButton;
+    private System.Windows.Forms.Button cancelButton;
+    private System.Windows.Forms.TabControl tabControl;
+    private System.Windows.Forms.TabPage seriesTabPage;
+    private System.Windows.Forms.SplitContainer splitContainer;
+    private System.Windows.Forms.ListView seriesListView;
+    private System.Windows.Forms.TabPage chartTabPage;
+    private DataRowVisualPropertiesControl dataRowVisualPropertiesControl;
+  }
+}
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.cs	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.cs	(revision 6010)
@@ -0,0 +1,73 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Windows.Forms;
+using HeuristicLab.Common.Resources;
+
+namespace HeuristicLab.Analysis.Views {
+  public partial class DataTableVisualPropertiesDialog : Form {
+    protected DataTable Content { get; private set; }
+    private DataTableVisualProperties originalDataTableVPs;
+    private Dictionary<string, DataRowVisualProperties> originalDataRowVPs;
+
+    public DataTableVisualPropertiesDialog(DataTable dataTable) {
+      InitializeComponent();
+      Content = dataTable;
+      originalDataTableVPs = (DataTableVisualProperties)Content.VisualProperties.Clone();
+      originalDataRowVPs = new Dictionary<string, DataRowVisualProperties>();
+      foreach (DataRow row in Content.Rows)
+        originalDataRowVPs.Add(row.Name, (DataRowVisualProperties)row.VisualProperties.Clone());
+      seriesListView.Items.Clear();
+      seriesListView.SmallImageList = new ImageList();
+      seriesListView.SmallImageList.Images.Add(VSImageLibrary.Graph);
+      FillSeriesListView();
+    }
+
+    private void FillSeriesListView() {
+      seriesListView.SelectedIndices.Clear();
+      foreach (DataRow row in Content.Rows) {
+        seriesListView.Items.Add(new ListViewItem(row.Name, 0));
+      }
+      seriesListView.SelectedIndices.Add(0);
+    }
+
+    private void seriesListView_SelectedIndexChanged(object sender, System.EventArgs e) {
+      if (seriesListView.SelectedItems.Count == 0) return;
+      string rowName = seriesListView.SelectedItems[0].Text;
+      dataRowVisualPropertiesControl.Content = Content.Rows[rowName].VisualProperties;
+    }
+
+    private void okButton_Click(object sender, System.EventArgs e) {
+      DialogResult = DialogResult.OK;
+      Close();
+    }
+
+    private void cancelButton_Click(object sender, System.EventArgs e) {
+      DialogResult = DialogResult.Cancel;
+      Content.VisualProperties = originalDataTableVPs;
+      foreach (DataRow row in Content.Rows) {
+        row.VisualProperties = originalDataRowVPs[row.Name];
+      }
+      Close();
+    }
+  }
+}
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.resx
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.resx	(revision 6010)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesDialog.resx	(revision 6010)
@@ -0,0 +1,120 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj	(revision 6007)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLab.Analysis.Views-3.3.csproj	(revision 6010)
@@ -130,4 +130,16 @@
       <DependentUpon>AggregatedHistogramHistoryView.cs</DependentUpon>
     </Compile>
+    <Compile Include="DataRowVisualPropertiesControl.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="DataRowVisualPropertiesControl.Designer.cs">
+      <DependentUpon>DataRowVisualPropertiesControl.cs</DependentUpon>
+    </Compile>
+    <Compile Include="DataTableVisualPropertiesDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="DataTableVisualPropertiesDialog.Designer.cs">
+      <DependentUpon>DataTableVisualPropertiesDialog.cs</DependentUpon>
+    </Compile>
     <Compile Include="HistogramHistoryView.cs">
       <SubType>UserControl</SubType>
@@ -193,4 +205,8 @@
       <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
       <Name>HeuristicLab.Collections-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
+      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
+      <Name>HeuristicLab.Common.Resources-3.3</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
@@ -251,4 +267,13 @@
     <EmbeddedResource Include="AggregatedHistogramHistoryView.resx">
       <DependentUpon>AggregatedHistogramHistoryView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="DataRowVisualPropertiesControl.resx">
+      <DependentUpon>DataRowVisualPropertiesControl.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="DataTableView.resx">
+      <DependentUpon>DataTableView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="DataTableVisualPropertiesDialog.resx">
+      <DependentUpon>DataTableVisualPropertiesDialog.cs</DependentUpon>
     </EmbeddedResource>
     <EmbeddedResource Include="HeatMapView.resx">
Index: branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLabAnalysisViewsPlugin.cs.frame
===================================================================
--- branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLabAnalysisViewsPlugin.cs.frame	(revision 6007)
+++ branches/histogram/HeuristicLab.Analysis.Views/3.3/HeuristicLabAnalysisViewsPlugin.cs.frame	(revision 6010)
@@ -31,4 +31,5 @@
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
Index: branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 6007)
+++ branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 6010)
@@ -36,5 +36,6 @@
       Columns,
       Points,
-      Bars
+      Bars,
+      Histogram
     }
     #endregion
@@ -80,4 +81,24 @@
       }
     }
+    private int bins;
+    public int Bins {
+      get { return bins; }
+      set {
+        if (bins != value) {
+          bins = value;
+          OnPropertyChanged("Bins");
+        }
+      }
+    }
+    private bool exactBins;
+    public bool ExactBins {
+      get { return exactBins; }
+      set {
+        if (exactBins != value) {
+          exactBins = value;
+          OnPropertyChanged("ExactBins");
+        }
+      }
+    }
 
     #region Persistence Properties
@@ -101,4 +122,14 @@
       get { return startIndexZero; }
       set { startIndexZero = value; }
+    }
+    [Storable(Name = "Bins")]
+    private int StorableBins {
+      get { return bins; }
+      set { bins = value; }
+    }
+    [Storable(Name = "ExactBins")]
+    private bool StorableExactBins {
+      get { return exactBins; }
+      set { exactBins = value; }
     }
     #endregion
Index: branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/QAPAlleleFrequencyAnalyzer.cs
===================================================================
--- branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/QAPAlleleFrequencyAnalyzer.cs	(revision 6007)
+++ branches/histogram/HeuristicLab.Problems.QuadraticAssignment/3.3/Analyzers/QAPAlleleFrequencyAnalyzer.cs	(revision 6010)
@@ -68,5 +68,5 @@
         for (int j = 0; j < solution.Length; j++)
           impact += weights[source, j] * distances[target, solution[j]];
-        alleles[i] = new Allele(source.ToString() + "-" + target.ToString(), impact);
+        alleles[i] = new Allele(source.ToString() + "->" + target.ToString(), impact);
       }
 
Index: branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs
===================================================================
--- branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 6007)
+++ branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 6010)
@@ -50,4 +50,6 @@
       this.copyImageToClipboardBitmapToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
+      this.propertiesToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.propertiesToolStripSeparator = new System.Windows.Forms.ToolStripSeparator();
       this.contextMenuStrip.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this)).BeginInit();
@@ -58,7 +60,10 @@
       this.contextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.exportChartToolStripMenuItem,
-            this.copyImageToClipboardBitmapToolStripMenuItem});
+            this.copyImageToClipboardBitmapToolStripMenuItem,
+            this.propertiesToolStripSeparator,
+            this.propertiesToolStripMenuItem});
       this.contextMenuStrip.Name = "contextMenuStrip";
-      this.contextMenuStrip.Size = new System.Drawing.Size(257, 48);
+      this.contextMenuStrip.Size = new System.Drawing.Size(257, 76);
+      this.contextMenuStrip.Opening += new System.ComponentModel.CancelEventHandler(this.contextMenuStrip_Opening);
       // 
       // exportChartToolStripMenuItem
@@ -78,7 +83,19 @@
       // saveFileDialog
       // 
-      this.saveFileDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|GIF " +
-          "(*.gif)|*.gif|TIFF (*.tif)|*.tif\"";
+      this.saveFileDialog.Filter = "Bitmap (*.bmp)|*.bmp|JPEG (*.jpg)|*.jpg|EMF (*.emf)|*.emf|PNG (*.png)|*.png|GIF (" +
+          "*.gif)|*.gif|TIFF (*.tif)|*.tif\"";
       this.saveFileDialog.FilterIndex = 2;
+      // 
+      // propertiesToolStripMenuItem
+      // 
+      this.propertiesToolStripMenuItem.Name = "propertiesToolStripMenuItem";
+      this.propertiesToolStripMenuItem.Size = new System.Drawing.Size(256, 22);
+      this.propertiesToolStripMenuItem.Text = "Properties";
+      this.propertiesToolStripMenuItem.Click += new System.EventHandler(this.propertiesToolStripMenuItem_Click);
+      // 
+      // propertiesToolStripSeparator
+      // 
+      this.propertiesToolStripSeparator.Name = "propertiesToolStripSeparator";
+      this.propertiesToolStripSeparator.Size = new System.Drawing.Size(253, 6);
       // 
       // EnhancedChart
@@ -97,4 +114,6 @@
     private System.Windows.Forms.ToolStripMenuItem copyImageToClipboardBitmapToolStripMenuItem;
     private System.Windows.Forms.SaveFileDialog saveFileDialog;
+    private System.Windows.Forms.ToolStripSeparator propertiesToolStripSeparator;
+    private System.Windows.Forms.ToolStripMenuItem propertiesToolStripMenuItem;
   }
 }
Index: branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 6007)
+++ branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 6010)
@@ -40,4 +40,6 @@
     [DefaultValue(true)]
     public bool EnableMiddleClickPanning { get; set; }
+    [DefaultValue(false)]
+    public bool ShowPropertiesContextMenuItem { get; set; }
 
     public static void CustomizeChartArea(ChartArea chartArea) {
@@ -138,4 +140,9 @@
     #endregion
 
+    private void contextMenuStrip_Opening(object sender, CancelEventArgs e) {
+      propertiesToolStripSeparator.Visible = ShowPropertiesContextMenuItem;
+      propertiesToolStripMenuItem.Visible = ShowPropertiesContextMenuItem;
+    }
+
     private void exportChartToolStripMenuItem_Click(object sender, System.EventArgs e) {
       // Set image file format
@@ -168,4 +175,14 @@
       Clipboard.SetDataObject(bmp);
     }
+
+    private void propertiesToolStripMenuItem_Click(object sender, EventArgs e) {
+      OnPropertiesClicked();
+    }
+
+    public event EventHandler PropertiesClicked;
+    private void OnPropertiesClicked() {
+      var handler = PropertiesClicked;
+      if (handler != null) handler(this, EventArgs.Empty);
+    }
   }
 }
Index: branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.resx
===================================================================
--- branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.resx	(revision 6010)
+++ branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.resx	(revision 6010)
@@ -0,0 +1,129 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="contextMenuStrip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>146, 17</value>
+  </metadata>
+  <metadata name="saveFileDialog.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
+  <metadata name="$this.TrayLargeIcon" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>False</value>
+  </metadata>
+</root>
Index: branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj
===================================================================
--- branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj	(revision 6007)
+++ branches/histogram/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HeuristicLab.Visualization.ChartControlsExtensions-3.3.csproj	(revision 6010)
@@ -141,4 +141,9 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="EnhancedChart.resx">
+      <DependentUpon>EnhancedChart.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
